## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FindFileStruct Struct Reference

`#include <DirectoryEnumerator.hpp>`

Inheritance diagram for FindFileStruct

Collaboration diagram for FindFileStruct:

List of all members.

## Public Methods

- const char* getName () const
    Retrieve name of file. More...
- bool isDirectory () const
    Determine whether file is a directory. More...
- bool isSelfOrParent () const

## Member Function Documentation

const char * FindFileStruct::getName ( | ) const`[]`

Retrieve name of file.

Returns:
  file name

bool FindFileStruct::isDirectory ( | ) const`[]`

Determine whether file is a directory.

Returns:
  true if file is a directory

bool FindFileStruct::isSelfOrParent ( | ) const`[]`

The documentation for this struct was generated from the following file:

- DirectoryEnumerator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.